Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ApplicationException System.Runtime.InteropServices.ComVisible(true)

TargetParameterCountException uses the HRESULT COR_E_TARGETPARAMCOUNT which has the value 0x8002000E.

The exception that is thrown when the number of parameters for an invocation does not match the number expected. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  TargetParameterCountException inherits from . This constructor sets the properties of the Exception object as shown in the following table.

  Property

  Value

  null

  The empty string ("").

  Initializes a new instance of the class with an empty message string and the root cause of the exception.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  TargetParmeterCountException inherits from . This constructor sets the properties of the Exception object as shown in the following table.

  Property

  Value

  null

  The message string.

  Initializes a new instance of the class with its message string set to the given message and the root cause exception.

  A String describing the reason this exception was thrown.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
  0
0